/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoCortesiaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoCortesia;
import com.rjconsultores.ventaboletos.service.TipoCortesiaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Shiro
 */
@Service("tipoCortesiaService")
public class TipoCortesiaServiceImpl implements TipoCortesiaService {

    @Autowired
    private TipoCortesiaDAO tipoCortesiaDAO;

    public List<TipoCortesia> obtenerTodos() {
        return tipoCortesiaDAO.obtenerTodos();
    }

    public TipoCortesia obtenerID(Integer id) {
        return tipoCortesiaDAO.obtenerID(id);
    }

    @Transactional
    public TipoCortesia suscribir(TipoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCortesiaDAO.suscribir(entidad);
    }

    @Transactional
    public TipoCortesia actualizacion(TipoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoCortesiaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoCortesia entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoCortesiaDAO.actualizacion(entidad);
    }

    public List<TipoCortesia> buscar(String descTipo) {
        return tipoCortesiaDAO.buscar(descTipo);
    }

    public List<TipoCortesia> obtenerGrupoCortesia(int i) {
        return tipoCortesiaDAO.obtenerGrupoCortesia(i);
    }
}
